Name:           python-optimum-intel
Version:        1.24.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Optimum Library is an extension of the Hugging Face Transformers library, providing a framework to integrate third-party libraries from Hardware Partners and interface with their specific functionality.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://www.intel.com
Source:         %{pypi_source optimum-intel}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'optimum-intel' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-optimum-intel
Summary:        %{summary}

%description -n python3-optimum-intel %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-optimum-intel diffusers,ipex,neural-compressor,nncf,openvino,quality,tests


%prep
%autosetup -p1 -n optimum-intel-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x diffusers,ipex,neural-compressor,nncf,openvino,quality,tests


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-optimum-intel -f %{pyproject_files}


%changelog
%autochangelog